<template>
  <div class="flex flex-col items-center p-0 gap-4 max-w-[1200px] h-[234px] my-[40px]">
    <div class="flex flex-col items-center p-0 gap-2">
      <span class="--text2 font-bold text-2xl leading-7 text-center tracking-[0.02em]" v-if="!homeRegister.IsHidden">{{ homeRegister.Text }}</span>
      <div class="--text2 font-bold text-[32px] leading-[38px] text-center tracking-[0.02em]">
        <span>{{ $t('welcome_to') }}</span>
        <span v-if="!companyName.IsHidden" class="font-black text-[32px] ml-1">{{ companyName.Text }}</span>
      </div>
    </div>
    <nuxt-link class="w-full container" to="/register">
      <img class="w-full h-full" :src="homeRegister.ImagePath">
    </nuxt-link>
  </div>
</template>

<script setup lang="ts">
import { IThemePropertiesFromApi } from '@/models/companyThemePropertiesRespone';
import { store } from '@/store';

const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
const homeRegister = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "home_register"
    )
);
const companyName = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "login_register_company_name"
    )
);
</script>

<style scoped>

</style>
